org.codehaus.plexus.util.dag

## Class Vertex

- java.lang.Object
- - org.codehaus.plexus.util.dag.Vertex

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Vertex
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  Version:
    $Id: Vertex.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Michal Maczka
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vertex(java.lang.String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdgeFrom(Vertex vertex)`
    `void` | `addEdgeTo(Vertex vertex)`
    `java.lang.Object` | `clone()`
    `java.util.List` | `getChildLabels()` Get the labels used by the most direct children.
    `java.util.List` | `getChildren()`
    `java.lang.String` | `getLabel()`
    `java.util.List` | `getParentLabels()` Get the labels used by the most direct ancestors (parents).
    `java.util.List` | `getParents()` Get the list the most direct ancestors (parents).
    `boolean` | `isConnected()` Indicates if there is at least one edee leading to or from given vertex
    `boolean` | `isLeaf()` Indicates if given vertex has no child
    `boolean` | `isRoot()` Indicates if given vertex has no parent
    `void` | `removeEdgeFrom(Vertex vertex)`
    `void` | `removeEdgeTo(Vertex vertex)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Vertex

          public Vertex(java.lang.String label)

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Returns:

    - #### addEdgeTo

          public void addEdgeTo(Vertex vertex)

      Parameters:
        `vertex` -

    - #### removeEdgeTo

          public void removeEdgeTo(Vertex vertex)

      Parameters:
        `vertex` -

    - #### addEdgeFrom

          public void addEdgeFrom(Vertex vertex)

      Parameters:
        `vertex` -

    - #### removeEdgeFrom

          public void removeEdgeFrom(Vertex vertex)

    - #### getChildren

          public java.util.List getChildren()

    - #### getChildLabels

          public java.util.List getChildLabels()

      Get the labels used by the most direct children.
      Returns:
        the labels used by the most direct children.

    - #### getParents

          public java.util.List getParents()

      Get the list the most direct ancestors (parents).
      Returns:
        list of parents

    - #### getParentLabels

          public java.util.List getParentLabels()

      Get the labels used by the most direct ancestors (parents).
      Returns:
        the labels used parents

    - #### isLeaf

          public boolean isLeaf()

      Indicates if given vertex has no child
      Returns:
        `true</true> if this vertex has no child, `false` otherwise`

    - #### isRoot

          public boolean isRoot()

      Indicates if given vertex has no parent
      Returns:
        `true</true> if this vertex has no parent, `false` otherwise`

    - #### isConnected

          public boolean isConnected()

      Indicates if there is at least one edee leading to or from given vertex
      Returns:
        `true</true> if this vertex is connected with other vertex,`false` otherwise`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`